document.addEventListener("DOMContentLoaded", () => {
  const MenuTabs = Array.from(document.querySelectorAll(".jsMenuTab"));
  MenuTabs.forEach(menuTab => {
    const menuHeader = menuTab.querySelector('.jsMenuHeader');
    const menuArrow = menuTab.querySelector('.jsMenuArrow')
    const menuSub = menuTab.querySelector('.jsMenuSub');
    const menuOption = menuTab.querySelector('.jsMenuOption');
    const menuAdmin = menuTab.querySelector('.jsMenuAdmin');
  
    menuHeader.addEventListener('click', e => {
      menuArrow.classList.toggle('transform-up');
      menuSub.classList.toggle('hidden');
    });
    menuOption.addEventListener('click', e => {
      menuAdmin.classList.toggle('hidden');
      e.stopPropagation();
    });
  });
  
  const searchForm = document.querySelector('.menu-search');
  searchForm.addEventListener('formChange', () => {
    if(document.querySelector('.menu-search input').value != "") {
      searchForm.style.backgroundColor = "#202B3C"; //- Put overriden color here
    } else {
      searchForm.style.backgroundColor = "var(--color-heading)"; //- Put default color here
    }
  })
});